<<< Previous |  | Next >>>

# FcConfigParseAndLoad

## Name

FcConfigParseAndLoad -- load a configuration file

## Synopsis

    #include <fontconfig/fontconfig.h>

``FcBool `FcConfigParseAndLoad``(FcConfig *`config`, const FcChar8 *`file`, FcBool `complain`);`

## Description

Walks the configuration in 'file' and constructs the internal representation in 'config'. Any include files referenced from within 'file' will be loaded and parsed. If 'complain' is FcFalse, no warning will be displayed if 'file' does not exist. Error and warning messages will be output to stderr. Returns FcFalse if some error occurred while loading the file, either a parse error, semantic error or allocation failure. Otherwise returns FcTrue. After all configuration files / strings have been loaded, with `FcConfigParseAndLoad` and/or `FcConfigParseAndLoadFromMemory`, call `FcConfigBuildFonts` to build the font database.

<<< Previous | Home | Next >>>
FcConfigGetFilename | Up | FcConfigParseAndLoadFromMemory